"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LegacyNavProvider = LegacyNavProvider;

function _extends2() {
  const data = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

  _extends2 = function () {
    return data;
  };

  return data;
}

function _objectWithoutProperties2() {
  const data = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

  _objectWithoutProperties2 = function () {
    return data;
  };

  return data;
}

function _react() {
  const data = _interopRequireWildcard(require("react"));

  _react = function () {
    return data;
  };

  return data;
}

function _baseUiRouting() {
  const data = require("@teambit/base-ui.routing.routing-provider");

  _baseUiRouting = function () {
    return data;
  };

  return data;
}

function _baseReactNavigation() {
  const data = require("@teambit/base-react.navigation.link");

  _baseReactNavigation = function () {
    return data;
  };

  return data;
}

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function useLegacyRouting() {
  return {
    Link: _baseReactNavigation().Link,
    // eslint-disable-next-line react/prop-types
    NavLink: /*#__PURE__*/(0, _react().forwardRef)(function NavLinkAdapter(_ref, ref) {
      let {
        isActive
      } = _ref,
          props = (0, _objectWithoutProperties2().default)(_ref, ["isActive"]);
      const active = isActive === null || isActive === void 0 ? void 0 : isActive();
      return /*#__PURE__*/_react().default.createElement(_baseReactNavigation().Link, (0, _extends2().default)({}, props, {
        active: active,
        ref: ref
      }));
    }),
    useLocation: () => {
      var _useLocation;

      return (// @ts-ignore
        (_useLocation = (0, _baseReactNavigation().useLocation)()) !== null && _useLocation !== void 0 ? _useLocation : {
          pathname: '/',
          hash: '',
          search: ''
        }
      );
    }
  };
}

function LegacyNavProvider({
  children
}) {
  const legacyRouting = useLegacyRouting();
  return /*#__PURE__*/_react().default.createElement(_baseUiRouting().RoutingProvider, {
    value: legacyRouting
  }, children);
}

//# sourceMappingURL=legacy-routing.js.map